zenilib: Zeni::Texture Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
Zeni::Texture Class Referenceabstract
Zenilib

An Abstraction of a Texture. More...

`#include <Texture.h>`

Inherited by Zeni::Sprite, Zeni::Texture_DX9, and Zeni::Texture_GL.

## Public Member Functions

| Texture (const bool &repeat_)
virtual | ~Texture ()
virtual void | apply_Texture () const =0
| Apply a Texture to upcoming polygons. More...
virtual const Point2i & | get_size () const =0
| Get the resolution of the Texture on the GPU. More...

## Protected Attributes

const bool | m_repeat

## Detailed Description

An Abstraction of a Texture.

A Texture can be applied to polygons in any supported rendering engine.

Note
  Created with a call to get_Video().load_Texture(...)

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 61 of file Texture.h.

## Constructor & Destructor Documentation

Zeni::Texture::Texture | ( | const bool & | repeat_ | ) |

inline

Definition at line 66 of file Texture.h.

virtual Zeni::Texture::~Texture | ( |  | ) |

inlinevirtual

Definition at line 67 of file Texture.h.

## Member Function Documentation

virtual void Zeni::Texture::apply_Texture | ( |  | ) | const

pure virtual

Apply a Texture to upcoming polygons.

Implemented in Zeni::Texture_DX9, Zeni::Texture_GL, and Zeni::Sprite.

Referenced by Zeni::Video_GL_Fixed::apply_Texture(), Zeni::Video_GL_Shader::apply_Texture(), and Zeni::Video_DX9::apply_Texture().

virtual const Point2i& Zeni::Texture::get_size | ( |  | ) | const

pure virtual

Get the resolution of the Texture on the GPU.

Implemented in Zeni::Texture_DX9, Zeni::Texture_GL, and Zeni::Sprite.

## Member Data Documentation

const bool Zeni::Texture::m_repeat

protected

Definition at line 74 of file Texture.h.

Referenced by Zeni::Texture_GL::apply_Texture(), Zeni::Texture_DX9::apply_Texture(), and Zeni::Texture_GL::Texture_GL().

The documentation for this class was generated from the following file:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Texture.h